com.h3c.of.ctl.pkt

## Enum PacketListenerRole

- java.lang.Object
- - java.lang.Enum<PacketListenerRole>
  - - com.h3c.of.ctl.pkt.PacketListenerRole

- All Implemented Interfaces:
    Serializable, Comparable<PacketListenerRole>

      public enum PacketListenerRole
      extends Enum<PacketListenerRole>

  Designates the major bands of responsibility with respect to OpenFlow Packet-In processing.

  The Advisor role is provided for those packet listeners who wish to annotate the `MessageContext` with information useful to listeners further downstream. It is expected that Advisors will not be modifying the packet in any way.

  The Director role is provided for those packet listeners who will be programming the Packet-Out message in some way.

  The Observer role is provided for those packet listeners who wish to observe the outcome of packet processing, but who will not be taking an active part.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADVISOR`
    `DIRECTOR`
    `OBSERVER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PacketListenerRole` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PacketListenerRole[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADVISOR

          public static final PacketListenerRole ADVISOR

    - #### DIRECTOR

          public static final PacketListenerRole DIRECTOR

    - #### OBSERVER

          public static final PacketListenerRole OBSERVER

  - ### Method Detail

    - #### values

          public static PacketListenerRole[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PacketListenerRole c : PacketListenerRole.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PacketListenerRole valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.